[package]
name = "rbox-js"
description = "Javascript library for interacting with the local and export data of Pioneers Rekordbox DJ software"
version.workspace = true
authors.workspace = true
license.workspace = true
keywords.workspace = true
categories.workspace = true
repository.workspace = true
edition.workspace = true
rust-version.workspace = true
publish = false

[lib]
crate-type = ["cdylib"]

[dependencies]
rbox            = { path = "../../rbox", features = ["full", "bundled-vendored-openssl", "napi"] }
napi            = { workspace = true }
napi-derive     = { workspace = true}
chrono          = { workspace = true }

[build-dependencies]
napi-build = "2.2"
